package net.viper.status.module;

import net.md_5.bungee.api.plugin.Plugin;

/**
 * Interface f\u00fcr alle zuk\u00fcnftigen Erweiterungen.
 */
public interface Module {

    /**
     * Wird aufgerufen, wenn die API startet.
     */
    void onEnable(Plugin plugin);

    /**
     * Wird aufgerufen, wenn die API stoppt.
     */
    void onDisable(Plugin plugin);

    /**
     * Eindeutiger Name des Moduls (z.B. "StatsModule").
     */
    String getName();
}